% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gi_list_validate.R
\name{gi_list_validate}
\alias{gi_list_validate}
\title{gi_list_validate}
\usage{
gi_list_validate(gi_list)
}
\arguments{
\item{gi_list}{gi_list object to be verified. In order to pass without 
errors,  a gi_list object (1) has to be a list of
InteractionSet::GInteractions objects, (2) each list element has to be named
as chromosomes and only contain intra-chromosomal interaction information,
(3) \code{mcols(.)} for each list element should at least contain pairwise
genomic distances in a column named 'D'.}
}
\value{
invisible value if the gi_list instance is valid. Otherwise, an error
is raised.
}
\description{
This function validates a gi_list instance.
}
\examples{
gi_list<-generate_binned_gi_list(1e6,chrs='chr22')
gi_list_validate(gi_list)
}
